Introducing UltraFXP
Top Next

UltraFXP is an FTP client for Microsoft Windows. It can transfer files from FTP servers directly to and from your local hard drive, or transfer files between FTP sites (site to site transfer). The user interface is very intuitive and full of features, synchronization of folders and drag 'n drop. Thanks for choosing UltraFXP, we hope you find it fun and easy to use.

Some key features of our user friendly UltraFXP:


System Requirements
Previous Top Next

Hardware Requirements
For best performance we recommend at least 32 MB RAM, a 166 MHz Pentium or faster processor and a high-color (thousands or millions of colors) display mode of 800x600 pixels or greater. UltraFXP will work on less powerful systems.

Software Requirements

UltraFXP has been tested on the following platforms:

· Windows 95b+ Retail *

· Windows 98 *

· Windows 98 SE

· Windows ME

· Windows NT 4.0 SP3, SP5, SP6, SP6a *

· Windows 2000 Professional/Server Build 2195,SP1,SP2,SP3,SP4

· Windows XP Home/Professional

· Windows Server 2003

* These Operating Systems may require a common control update if IE5+ has not been installed.


How to buy UltraFXP

Purchase UltraFXP
UltraFXP is for free to evaluate for a period of 30 days with all functions fully working
If you want to use it after 30 days, you should register it with the author and pay a registration fee
Registered users will get lifetime free updates and free email support
Registration key file will email to you in 24-48 hours after you order online

Online order UltraFXP via PayPal.COM
all transactions are handle by PayPal.com with full encrypted

Online order UltraFXP via ShareIt.COM
All prices are per copy, and all transactions are handle by ShareIt.com with full encrypted Support Credit Card, Switch/Solo, Bank/Wire Transfer, Check or Cash

Online order link
http://www.ultrafxp.com/en/order.htm

Home page
http://www.ultrafxp.com/

Email support
ultrafxp@vip.163.com


Interface


Overview

UltraFXP interface.
· Global Setting Menu: adding and deleting container, site manager, preference, task manager, log, and proxy server
· Panel Operating Menu: operating on remote ftp or local directory
· Remote FTP and Local Computer Directory: contents of remote FTP directory and local computer directory
· Operating and Status Panel Tags: container switching, ftp operating log, file queue, and transfer log


Menu


Container

New Site Container: Adding a new container (Ctrl+N)
Delete Site Container: Deleting an exist container
Minimize to system tray: Minimize UltraFXP and turn it into a icon on system tray (F9)
Lock to tray: Uses with UltraFXP password protection function, a password is needed to restore a minimized UltraFXP
Exit: Quit UltraFXP


FTP

Search: Search FTP or Local directory panels for a string (Ctrl+F)
Filter: Directory/File display filter
Add current site: Save current active server information to site manager for future use
View raw directory: Display raw information of current directory
Export directory list: Custom recursive directory tree for remote server
Calculate FTP space used: Measure space used on a server
On Transfer Complete: Custom action taken after completion of transfer
Transfer Mode: File transfer modes
Marklist: Mark directories/files to export
Clipboard: Monitoring copied FTP URLs


Queue

Transfer: Start transferring queued directories/files (Ctrl+Z)
Restore queue: Restate queue(s) from previous session (F11)
Clear: Delete all existing queues
Load Queue: Load existing queue(s) (Ctrl+L)
Save Queue: Save current queue(s) for future use (Ctrl+S)


Options

Site Manager: Add, delete, and edit server information (F4)
UltraFXP Preferences: UltraFXP setting options (F6)
Total Statistics: File transfer statistics
File associations: Assign viewing and editing applications for different file types


Site Manager

Use Site Manager to add, delete, and edit site information. Tailer your login setting for each
site, includes multiple entry IPs, login and download threads limitation, proxy, and operating rules setting.


Sites

Individual tags for every server.


Default Setting

Set login and download thread restrictions and set password for UltraFXP.


Query Site

Search for server(s) information by Name, User Name and Password.


Test availability of Sites

Check status for all servers in Site Manager


UltraFXP preferences

Set global preferences.


Timeout

Set default connection rules


Anti-idle

Default settings to avoid disconnecting from operating FTP.


Filter

Set filters that dictate file transfer behavior.


Sounds

Set sounds to notify use different events.


Error Handles

Custom settings for handling FTP error messages.


mIRC

mIRC announcement options.


Display

Settings for UltraFXP interface.


If File Exists

Rules of handling duplicate files during different operations.


Transfer

Set file transfer options.


Proxy Server

Configurations for Proxy Server.


IdentD Server

Built-in IdentD Server.


Firewall

Firewall Settings.


Miscellaneous

Other configurations.


Total Statistics

Statistics for your UltraFXP client.


File associations

Select viewing and editing programs for different file types.


Command

Edit command: Add, delete and edit custom commands (F7)
glFTPd: Commands set for glFTPD
glFTPd admin: Administration commands set for glFTPD
ioFTPD: Commands set for ioFTPD
RaidenFTPD: Commands set for RaidenFTPD


Tools

Language: Select interface language
Task: Task manager for adding, deleting, and modifying tasks
Find files at FTP server: Locate files or directories on a remote server
Compare Folders: Comparing two directories on remote server(s) (Ctrl+D)
Manual download: Manually entering download information
IP Address Translate: Translate IP in different formats into decimal format
Multi rename tool: Rename many FTP/Local files quickly
Is it in filter?: Find out filtering condition
Compress site file: Optimize site file


Task

Create, delete, and editing tasks.


Find file at FTP Server

Search for files on a FTP server.


View

Toolbar: Display/hide Toolbar
Site/Local Panel: Display/hide Site/Local Panel
Logs: Show/hide Log Window
Current edit files window: Show edit files window


Help

Help Index: This file
Download new version: Online update UltraFXP
UltraFXP Website: Official UltraFXP website
UltraFXP Forum: UltraFXP Support forum
Email Support: Email for UltraFXP product support
Online Purchase: Where to buy this great product
About: Have a look yourself


Global Setting Menu

1. | Add container(s) | 2. | Delete container(s)
3. | Site Manager | 4. | UltraFXP Preferences
5. | Task Manager | 6. | Show/Hide Site Activities Panel (Ctrl+K)
7. | Show/Hide Log Panel | 8. | Select Proxy Type
9. | IP address | 10. | Port
11. | User Name | 12. | Password


Panel Operating Menu

1. Connect/disconnect to/from FTP
A. Local window label
2. Switch site to current window
B. Switch site to current window
3. Bookmark
C. Bookmark
4. Parent directory
D. Parent directory
5. Abort
E. Start/Pause queue
6. Start/Pause queue
F. Refresh
7. Refresh
G. Compare folders
8. Compare folders
H. Transfer selected
9. Transfer selected
I. Switch to FTP window
10. Switch to local window


FTP and Local Directory

Remote FTP Directory Pop Menu
· Transfer
· Queue
· Transfer as
· Queue as
· Make Folder
· Delete
· Rename
· Move
· Search
· Command
· Invert selection
· Copy URL
· Copy Selected Directory name
· Save Path
· Raw Command
· CHMOD
· Refresh
· Font

Local Directory Pop Menu
· Transfer
· Queue
· Transfer As
· Queue As
· Make Folder
· Delete
· Rename
· Search
· Invert selection
· Explorer Menu
· Copy Selected Directory name
· Refresh
· Font


Operating and Status Tags

Container: managing containers, current active and status for all connected servers

FTP log: FTPs activities log and raw FTP commands input slot

Queue: queue managing and scheduling

Transfer log: file transferring activities log


Create a site and connect

1. Press F4 or select "Site Manager" from main menu

2. Select a group and press "New site" to create a site.


Connect to a server

Connect to a server
1. Use Site Manager to connect to a server
2. Use pull down menu to connect to site

Use Quick Connect to login to a server


Disconnect from a server

Click on disconnect button to leave a server


Transfer

UltraFXP has several options for transferring files from your hard drive to your web site (uploading). These same techniques can be used to transfer files from your web site to your hard drive (downloading).


Upload/Download

1. Select file(s) and click "Transfer"

2. Right click file(s) and click "Transfer" (Ctrl + T is the shortcut key).

3. Click and drag file(s) to transfer


Site to Site (FXP)

To transfer file(s) from one server to another directly without downloading and uploading files from your hard drive, switch the view on the left window of UltraFXP to FTP browser and connect to two sites. Transfer file(s) using your favorite transfer method.


Create a Directory

You can create new directories(s) in the local or remote windows.
To create a new directory, click in the local or remove view and either press "Insert" or right-click and choose "Make Folder" from the menu.


Auto SFV check

What's SFV?
An .SFV file is a tiny list of files and CRCs, which allow you to check to see if the files you have downloaded are exactly what you are expecting. The CRC algorithm used in .SFV files allows you to see if the file you have has been changed, even a single byte, since the .SFV file was created.

How to check SFV files automatically?
When you download a directory with sfv file inside , UltraFXP will check SFV automatically, and report status in Status Window.

How to check SFV files manually?
Double click a sfv file at Local File Window, UltraFXP will check this SFV file and produce checking report.

UltraFXP SFV report format
somefilename.bad this file is bad and cant bypass SFV verify somefilename.missing this file is at SFV file but not downloaded
[INCOMPLETE 3F of 10F] this folder showing how many files already pass SFV verify
[COMPLETE 55F] this folder showing all files are error free

Notes:
If you want to change the format of SFV report folder. you can open language file and locate
SCRC_INC=[INCOMPLETE %dF of %dF]
SCRC_DONE=[COMPLETE %dF]
to edit them


Change colors and fonts

Change font of status window
1. Right click at status window and select "font.." | 2. Select font and press OK button

Change color of status window

1. Right click at status window and select "color.." | 2. Design color style and press OK button


CHMOD command

CHMOD function changes the access permissions or modes of the specified files or directories. Modes determine
who can read, change or execute a file.

To change modes, select one or more files and press CTRL+O or right-click and select CHMOD from the menu


Multiple rename filename

UltraFXP's Multiple Rename Tool enable you rename many files at once easily and quickly.

1. From Main menu , drop down "Tools" menu and select "Multiple rename filename" will popup "Multi rename tool" window.

2. enter rename pattern and choose rename options


Switch Server

UltraFXP supports connection to multiple FTP servers simultaneously.
It is easy to fast switch servers between different containers.

You can click the "Switch Server" button and select a site
name from drop down menu to switch the server to current window.


Rename filename

UltraFXP also allows you to easily rename files and folders by simply clicking on the file or folder to
select it and pressing the "F2" key. You can also right-click on the file and choose Rename from the menu.
Rename the file and press enter.


Total Transfers Statistics

UltraFXP provide "Total Statistics" to let users know his transfers statistics

1. Select "Total Statistics" from main menu

2. All statistics show at popup dialog


Shortcut Keys

Key | Description
Ctrl+1..9 | Switch container
Ctrl+A | Select All
Ctrl+D | Compare folders
Ctrl+F | Find File
Ctrl+K | Show sites activity list
Ctrl+M | Move selected queue to bottom
Ctrl+N | Make a new site container
Ctrl+O | Move selected queue to top
Ctrl+Q | Add selected files to queue list
Ctrl+R | Raw command window
Ctrl+T | Transfer selected
Ctrl+U | Move up selected queue
Ctrl+Y | Move down selected queue
Ctrl+Z | Transfer Queue
Backspace | Change to Parent directory
Del | Delete selected file/directory/queue
Tab | switch Left/Window window
F4 | Site Manager
F5 | Refresh
F7 | Define Commands


What's script

Using Script you can write simple codes for UltraFXP to perform routine tasks, e.g. update your server periodically.

UltraFXP script is similar with Pascal script. If you know Delphi or Pascal, it should be very easy for you to write script for UltraFXP.

Syntax
UltraFXP functions


Syntax

For statements

A for statement, requires you to specify explicitly the number of iterations you want the loop to go through.
The syntax of a for statement is

for counter := initialValue to finalValue do statement

Examples of for statements:
j := 0;
for i:=0 to 100 do j:=j+i;

j := 1000;
for i:= 1 to 10 do
begin
j := j+1;
end;

First for loop increases j by i in 100 interations.
Second for loop increases j by 1 in 10 interations.


Pascal functions

1. function Copy(S; Index, Count: Integer): string
e.g. Copy(S1, m, n); this function copies n characters from string S1 starts from mth character and return copied string
2. procedure Delete(var S: string; Index, Count:Integer);
e.g. Delete(S1, m, n), this function deletes n characters from string S1 starts from mth character
3. function Length(S): Integer
e.g. Length('UltraFXP') returns a integer 8


UltraFXP functions

Connect to server
procedure UF_CON(serverame: string);
Usage: UF_CON('UF1');
Comment: connect to server named UF1

Usage: UF_CON('UF1 UF2 UF3');
Comment: connect to servers UF1, UF2, and UF3 at same time, SPACE as delimiter

Send raw command to connected server
procedure UF_RAW(servername,command: string);
Usage: UF_RAW('UF1', 'site who');
Comment: send 'site who' command to connected server UF1

Usage: UF_RAW('UF1 UF2', 'site who');
Comment: send 'site who' command to servers UF1 and UF2, SPACE as delimiter

Usage: UF_RAW('','site who');
Comment: send 'site who' command to all connected sites at UltraFXP

Change bookmarked path for server
procedure UF_GotoBM(servername,bookmark: string);
Usage: UF_GotoBM('server1','pub');
Comment: change server1's bookmarked path to directory called 'pub'

Usage: UF_GotoBM('server1 server2 server3','pub');
Comment: change all of server1, server2, and server3's bookmarked path to directory called pub, SPACE as delimiter

Usage: UF_GotoBM('','pub');
Comment: change all connected servers' bookmarked path to 'pub'

Get text from Windows Clipboard
function UF_GetClipText:string;
Usage: UF_RAW('UF1', 'MKD ' + UF_GetClipText);
Comment: If there is a string, 'UltraFXP.Rocks', in clipboard, this function creates a direcotry called 'UltraFXP.Rocks' on
server UF1

Send text to mIRC
procedure UF_MIRC(ALog: string);
Usage: UF_MIRC('UltraFXP is the best');
Comment: Send text 'UltraFXP is the best' to active mIRC channel(s)

Sleep
procedure UF_Sleep(Amillisecond: Integer);
Usage: UF_Sleep(1000);
Comment: pause for 1 second

Match String
function UF_MATCH(ASource: string; APattern: string);
Usage: if UF_MATCH(UF_GetClipText,'*Idle*')=1 then UF_RAW('','NOOP');
Comment: if find 'idle' in clipboard, send 'NOOP' to all connected sites

Disconnect from Site
procedure UF_EXIT(sitename: string);
Usage: UF_EXIT('UF1');
Comment: disconnect from a server called UF1

Usage: UF_EXIT('UF1 UF2 UF3');
Comment: disconnect from servers UF1, UF2, and UF3, SPACE as delimiter

Usage: UF_EXIT('');
Comment: disconnect all idle sites

FXP from Site to Site
procedure UF_FXPDIR(src, srcdir, dest, destdir, dirname: string; subdirCount: Integer);
Parameters
src source ftp server
src source directory
dest destination ftp server
destdir destination directory
dirname directory name
subdirCount how many sub directory will be added to queue
-1 means add all sub directory ,
1 means add latest 1 directory to queue only,
2 means add latest 2 directory to queue only. etc..

Usage: UF_FXPDIR('UF1', '/Soft/', 'UF2', '/Mirror/','',-1);
Comment: FXP all directory from UF1's /Soft/ directory to UF2's /Mirror/ directory

Usage: UF_FXPDIR('UF1','Soft','UF2','Mirror','',-1);
Comment: FXP all directory from UF1's Soft bookmark to UF2's Mirror bookmark

Show a Message Box Dialog
function UF_MsgBox(Caption: string; Text: string; Type: Integer): Integer;
Parameters
Caption dialog box title
Text dialog box message to be displayed
Type specifies a set of bit flags that determine the contents and behavior of the dialog box

Flag
2 message box contains three push buttons: Abort, Retry, and Ignore.
0 message box contains one push button: OK. This is the default.
1 message box contains two push buttons: OK and Cancel.
5 message box contains two push buttons: Retry and Cancel.
4 message box contains two push buttons: Yes and No.
3 message box contains three push buttons: Yes, No, and Cancel.

Return Values
0 The return value is zero if there is not enough memory to create the message box
3 Abort button was selected.
2 Cancel button was selected.
5 Ignore button was selected.
7 No button was selected.
1 OK button was selected.
4 Retry button was selected.
6 Yes button was selected.

Usage: UF_MsgBox('Error' , 'No this site name!', 0);
Comment: Show a dialog with 1 OK button and Text is 'No this site name');

Usage: UF_MsgBox('Confirm', 'Do you want to FXP this dir?', 1);
Comment: Show a dialog with OK and Cancel Button and Text is 'Do you want to FXP this dir?'

Usage: if UF_MsgBox('Confirm', 'Do you want to FXP this dir?', 1)=1 then
UF_FXPDIR('UF1', '/PUB/', 'UF2', '/Soft/','',-1);
Comment: FXP directory 'PUB' from server UF1 into directory 'Soft' on sever 'UF2', if press OK button

FXP to Many Sites at Same Time
procedure UF_CHAINFXPDIR(sites,bookmark,dirname: string; repeatcount: Integer);
Parameters
sites site name list , ';' as delimiter
bookmark site bookmark
dirname directory name without '/'
repeatcount must larger than zero. indicates times need to be refreshed when no files to FXP

Usage: UF_CHAINFXPDIR('UF1;UF2;UF3','Soft','Mirror',10);
Comment: fxp 'Mirror' dir in bookmarked path 'Soft' for UF1 to UF2 and from UF2 to UF3 simultaneously, refresh 10 times

Notes:
If dirname on Global Skip List, nothing will transfer
If dirname on Site Skip List, this site will be removed from CHAIN
if Site is Disable, this site will be removed from CHAIN
RepeatCount set to 10 is sufficient

Stop ChainFXPDIR
procedure UF_STOPLASTCHAINFXPDIR;

Usage: UF_STOPLASTCHAINFXPDIR;
Comment: stop latest UF_CHAINFXPDIR function call

Accept User Input
function UF_InputQuery(Caption, Text: string; var Value: string): Boolean;
Parameters
Caption caption for dialog window
Text prompt for input
Value input text

Return Values
The return value is true if use input text is not empty, else return is false;

Usage: defaultInput := 'Soft';
if UF_InputQuery('change to bookmark?' , 'bookmark name', defaultInput) then
UF_GotoBM('',defaultInput);
Comment: popup a dialog wait use input a bookmark name, default input text is 'Soft', user can change this text or
left it as default, after user press ok button, all active servers will change to 'Soft' bookmark;


Tips

Tip 1
Press Shift key while queuing files, reversed order file list will be queued.

Tip 2
Refresh all idle FTP Servers
1. create a command
2. check "run as script"
3. input below command
uf_raw('','pwd');
uf_raw('','list');
4. map to a key for example F10 or F12 etc

More to come........


License Agreement

END-USER LICENSE AGREEMENT FOR THIS SOFTWARE

Important - read carefully:

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and the mentioned author of this Software for the software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property
laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. This EULA grants you the following rights:Installation and Use. You may install and use an
unlimited number of copies of the SOFTWARE PRODUCT.

Reproduction and Distribution. You may reproduce and distribute an unlimited number of copies of the SOFTWARE
PRODUCT; provided that each copy shall be a true and complete copy, including all copyright and trademark notices, and
shall be accompanied by a copy of this EULA. Copies of the SOFTWARE PRODUCT may be distributed as a standalone
product or included with your own product.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or
disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by
applicable law notwithstanding this limitation.

Separation of Components.
The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more
than one computer.

Software Transfer.
You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA.

Termination.
Without prejudice to any other rights, the Author of this Software may terminate this EULA if you fail to comply with the
terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its
component parts.

Distribution.
The SOFTWARE PRODUCT may not be sold or be included in a product or package which intends to receive benefits
through the inclusion of the SOFTWARE PRODUCT. The SOFTWARE PRODUCT may be included in any free or
non-profit packages or products.

3. COPYRIGHT.

All title and copyrights in and to the SOFTWARE PRODUCT(including but not limited to any images, photographs,
animations,video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying
printed materials, and any copies of the SOFTWARE PRODUCT are owned by the Author of this Software. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the
SOFTWARE PRODUCT like any other copyrighted material except that you may install the SOFTWARE PRODUCT on a
single computer provided you keep the original solely for backup or archival purposes.

LIMITED WARRANTY

NO WARRANTIES.
The Author of this Software expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT
and any related documentation is provided "as is" without warranty of any kind, either express or implied, including, without
limitation, the implied warranties or merchantability, fitness for a particular purpose, or noninfringement. The entire risk arising
out of use or performance of the SOFTWARE PRODUCT remains with you.

NO LIABILITY FOR DAMAGES

In no event shall the author of this Software be liable for any damages whatsoever (including, without limitation, damages for
loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the
use of or inability to use this product, even if the Author of this Software has been advised of the possibility of such damages.

REGISTRATION

The SOFTWARE PRODUCT is shareware. You can use it for free for 15 days. After 15 days you have to buy the
SOFTWARE PRODUCT or delete it. Visit http://www.ultrafxp.com for more information.


Privacy Policy

Website & Forums

When you browse our website, download our software or read&post forum topic. NO ANY INFOMATION such as your IP address, the time and the web browser you are using are not logged.

Software: Trial Version

Absolutely no personal information is required to download and try out our software, UltraFXP will never send ANY infomation to ANY internet servers. try UltraFXP for free, without obligation, and without restriction.

Software: Registered Version

To let us create a license for you, your order will only be sent to us by ShareIt.com or RegSoft.com. Other Privacy policy is the same as for the Trial Version.

Software: Liveupdate

UltraFXP will check for new versions when it is being started. It gets the information from http://www.ultrafxp.com/version.txt . NOTHING ELSE will be checked!


Acknowledgements
Previous Top

The status window use TSynEdit

The Ftp Engine use Indy Project and Synapse TCP/IP library

Thanks to RaidenFTPD for great help and support